RegionAttributesType.PartitionAttributes.FixedPartitionAttributes (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType, class: PartitionAttributes, class: FixedPartitionAttributes

Package org.apache.geode.cache.configuration

# Class RegionAttributesType.PartitionAttributes.FixedPartitionAttributes

java.lang.Object
org.apache.geode.cache.configuration.RegionAttributesType.PartitionAttributes.FixedPartitionAttributes

Enclosing class:
  RegionAttributesType.PartitionAttributes

public static class RegionAttributesType.PartitionAttributes.FixedPartitionAttributes extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="partition-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="is-primary" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `isPrimary`
  `protected String`
  `numBuckets`
  `protected String`
  `partitionName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedPartitionAttributes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNumBuckets()`
  Gets the value of the numBuckets property.
  `String`
  `getPartitionName()`
  Gets the value of the partitionName property.
  `Boolean`
  `isIsPrimary()`
  Gets the value of the isPrimary property.
  `void`
  `setIsPrimary(Boolean value)`
  Sets the value of the isPrimary property.
  `void`
  `setNumBuckets(String value)`
  Sets the value of the numBuckets property.
  `void`
  `setPartitionName(String value)`
  Sets the value of the partitionName property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### partitionName

    protected String partitionName

  - ### isPrimary

    protected Boolean isPrimary

  - ### numBuckets

    protected String numBuckets

- ## Constructor Details

  - ### FixedPartitionAttributes

    public FixedPartitionAttributes()

- ## Method Details

  - ### getPartitionName

    public String getPartitionName()
    Gets the value of the partitionName property. possible object is `String`
    Returns:
      the value of the partitionName property

  - ### setPartitionName

    public void setPartitionName(String value)
    Sets the value of the partitionName property. allowed object is `String`
    Parameters:
      `value` - the value of the partitionName property

  - ### isIsPrimary

    public Boolean isIsPrimary()
    Gets the value of the isPrimary property. possible object is `Boolean`
    Returns:
      the value of the isPrimary property

  - ### setIsPrimary

    public void setIsPrimary(Boolean value)
    Sets the value of the isPrimary property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the isPrimary property

  - ### getNumBuckets

    public String getNumBuckets()
    Gets the value of the numBuckets property. possible object is `String`
    Returns:
      the value of the numBuckets property

  - ### setNumBuckets

    public void setNumBuckets(String value)
    Sets the value of the numBuckets property. allowed object is `String`
    Parameters:
      `value` - the value of the numBuckets property